Description: Fix ::params:client_dev_package_name
 In Buster and on, we have libmariadbclient-dev ->
 libmariadb-dev. This patch fixes it.
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/975478
Forwarded: no
Last-Update: 2020-11-24

--- puppet-module-puppetlabs-mysql-8.1.0.orig/manifests/params.pp
+++ puppet-module-puppetlabs-mysql-8.1.0/manifests/params.pp
@@ -190,7 +190,7 @@
         $client_package_name     = 'mariadb-client'
         $server_package_name     = 'mariadb-server'
         $server_service_name     = 'mariadb'
-        $client_dev_package_name = 'libmariadbclient-dev'
+        $client_dev_package_name = 'libmariadb-dev'
         $daemon_dev_package_name = 'libmariadbd-dev'
       } else {
         $client_package_name     = 'mysql-client'
@@ -222,7 +222,7 @@
       } else {
         $php_package_name = 'php5-mysql'
       }
-      $python_package_name = 'python-mysqldb'
+      $python_package_name = 'python3-mysqldb'
       $ruby_package_name   = $::lsbdistcodename ? {
         'jessie'           => 'ruby-mysql',
         'stretch'          => 'ruby-mysql2',
